curl --request POST \
--url 'https://api-prod.usefini.com/v2/hc-bot-folder-junctions/public' \
--header 'Authorization: Bearer fini_your_api_key' \
--header 'Content-Type: application/json' \
--data '{
"junctions": [
{
"folderId": "0f4da4fe-b2ae-4787-8c3b-854f36d9eb1b",
"botId": "4f5ef695-d03b-4d56-8fef-7f2bd5c17ef3",
"action": "ADD"
}
]
}'
const response = await fetch('https://api-prod.usefini.com/v2/hc-bot-folder-junctions/public', {
method: 'POST',
headers: {
Authorization: 'Bearer fini_your_api_key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
'junctions': [
{
'folderId': '0f4da4fe-b2ae-4787-8c3b-854f36d9eb1b',
'botId': '2a1cf0f0-f35d-46ad-8e61-a15c86b2b312',
'action': 'ADD'
}
]
}
)
});
const data = await response.json();
import requests
response = requests.post(
"https://api-prod.usefini.com/v2/hc-bot-folder-junctions/public",
headers={"Authorization": "Bearer fini_your_api_key", "Content-Type": "application/json"},
json={
"junctions": [
{
"folderId": "0f4da4fe-b2ae-4787-8c3b-854f36d9eb1b",
"botId": "2a1cf0f0-f35d-46ad-8e61-a15c86b2b312",
"action": "ADD"
}
]
},
)
data = response.json()
{
"folderIds": [
"0f4da4fe-b2ae-4787-8c3b-854f36d9eb1b"
],
"botIds": [
"2a1cf0f0-f35d-46ad-8e61-a15c86b2b312"
],
"attached": true
}
Folders & assignments
Assign knowledge to agents
Assign or unassign folders to agents in bulk.
POST
/
v2
/
hc-bot-folder-junctions
/
public
curl --request POST \
--url 'https://api-prod.usefini.com/v2/hc-bot-folder-junctions/public' \
--header 'Authorization: Bearer fini_your_api_key' \
--header 'Content-Type: application/json' \
--data '{
"junctions": [
{
"folderId": "0f4da4fe-b2ae-4787-8c3b-854f36d9eb1b",
"botId": "4f5ef695-d03b-4d56-8fef-7f2bd5c17ef3",
"action": "ADD"
}
]
}'
const response = await fetch('https://api-prod.usefini.com/v2/hc-bot-folder-junctions/public', {
method: 'POST',
headers: {
Authorization: 'Bearer fini_your_api_key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
'junctions': [
{
'folderId': '0f4da4fe-b2ae-4787-8c3b-854f36d9eb1b',
'botId': '2a1cf0f0-f35d-46ad-8e61-a15c86b2b312',
'action': 'ADD'
}
]
}
)
});
const data = await response.json();
import requests
response = requests.post(
"https://api-prod.usefini.com/v2/hc-bot-folder-junctions/public",
headers={"Authorization": "Bearer fini_your_api_key", "Content-Type": "application/json"},
json={
"junctions": [
{
"folderId": "0f4da4fe-b2ae-4787-8c3b-854f36d9eb1b",
"botId": "2a1cf0f0-f35d-46ad-8e61-a15c86b2b312",
"action": "ADD"
}
]
},
)
data = response.json()
{
"folderIds": [
"0f4da4fe-b2ae-4787-8c3b-854f36d9eb1b"
],
"botIds": [
"2a1cf0f0-f35d-46ad-8e61-a15c86b2b312"
],
"attached": true
}
Use this route to control which folders, and therefore which knowledge, an agent can access.
Headers
string
required
Bearer token containing your Fini workspace API key. Format:
Bearer fini_... The key needs write scope.string
required
application/jsonBody parameters
array
required
curl --request POST \
--url 'https://api-prod.usefini.com/v2/hc-bot-folder-junctions/public' \
--header 'Authorization: Bearer fini_your_api_key' \
--header 'Content-Type: application/json' \
--data '{
"junctions": [
{
"folderId": "0f4da4fe-b2ae-4787-8c3b-854f36d9eb1b",
"botId": "4f5ef695-d03b-4d56-8fef-7f2bd5c17ef3",
"action": "ADD"
}
]
}'
const response = await fetch('https://api-prod.usefini.com/v2/hc-bot-folder-junctions/public', {
method: 'POST',
headers: {
Authorization: 'Bearer fini_your_api_key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
'junctions': [
{
'folderId': '0f4da4fe-b2ae-4787-8c3b-854f36d9eb1b',
'botId': '2a1cf0f0-f35d-46ad-8e61-a15c86b2b312',
'action': 'ADD'
}
]
}
)
});
const data = await response.json();
import requests
response = requests.post(
"https://api-prod.usefini.com/v2/hc-bot-folder-junctions/public",
headers={"Authorization": "Bearer fini_your_api_key", "Content-Type": "application/json"},
json={
"junctions": [
{
"folderId": "0f4da4fe-b2ae-4787-8c3b-854f36d9eb1b",
"botId": "2a1cf0f0-f35d-46ad-8e61-a15c86b2b312",
"action": "ADD"
}
]
},
)
data = response.json()
{
"folderIds": [
"0f4da4fe-b2ae-4787-8c3b-854f36d9eb1b"
],
"botIds": [
"2a1cf0f0-f35d-46ad-8e61-a15c86b2b312"
],
"attached": true
}
Response
boolean
Always
true when the batch succeeds.Errors
400 Bad Request
400 Bad Request
The request body is malformed, or one of the enum values is invalid.
401 Unauthorized
401 Unauthorized
The API key is missing, malformed, revoked, or invalid.
403 Forbidden
403 Forbidden
The API key does not include the
write scope.Was this page helpful?
⌘I

